--vim.cmd [[colorscheme catppuccin]]

--TokyonNight
--local colorscheme = "tokyonight-night"

--Catppuccin
vim.g.catppuccin_flavour = "mocha" -- latte, frappe, macchiato, mocha
local colorscheme = "catppuccin"
require("catppuccin").setup({
    -- integrations = {
    --     treesitter_context = true,
    --     fidget = false,
    -- },
    custom_highlights = function(colors)
        return {
            TreesitterContext = { bg = colors.surface0 },
            TreesitterContextLineNumber = { bg = colors.surface0 },
            -- TreesitterContextBottom = { style = { "underline" } },
            MultiCursor = { bg = colors.red },
            VM_Cursor = { bg = colors.red },
        }
    end
})

--DarkPlus
--local colorscheme = "darkplus"

local status_ok, _ = pcall(vim.cmd, "colorscheme " .. colorscheme)
if not status_ok then
  return
end
